org.h2.mvstore.db

## Interface MVIndex

All Superinterfaces:
  DbObject, Index, SchemaObject

All Known Implementing Classes:
  MVDelegateIndex, MVSecondaryIndex, MVSpatialIndex

    public interface MVIndex
    extends Index

An index that stores the data in an MVStore.

### Field Summary

### Fields inherited from interface org.h2.engine.DbObject

`AGGREGATE, COMMENT, CONSTANT, CONSTRAINT, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, TABLE_OR_VIEW, TRIGGER, USER, USER_DATATYPE`

### Method Summary

Methods
`void` `addBufferedRows(java.util.List<java.lang.String> bufferNames)` Add all the index data from the buffers to the index.
`void` `addRowsToBuffer(java.util.List<Row> rows, java.lang.String bufferName)` Add the rows to a temporary storage (not to the index yet).

### Methods inherited from interface org.h2.index.Index

`add, canFindNext, canGetFirstOrLast, canScan, close, commit, compareRows, createLookupBatch, find, find, findFirstOrLast, findNext, getColumnIndex, getColumns, getCost, getDiskSpaceUsed, getIndexColumns, getIndexType, getPlanSQL, getRow, getRowCount, getRowCountApproximation, getTable, isRowIdIndex, needRebuild, remove, remove, setSortedInsertMode, truncate`

### Methods inherited from interface org.h2.schema.SchemaObject

`getSchema, isHidden`

### Methods inherited from interface org.h2.engine.DbObject

`checkRename, getChildren, getComment, getCreateSQL, getCreateSQLForCopy, getDatabase, getDropSQL, getId, getName, getSQL, getType, isTemporary, removeChildrenAndResources, rename, setComment, setTemporary`

### Method Detail

#### addRowsToBuffer

    void addRowsToBuffer(java.util.List<Row> rows,
                       java.lang.String bufferName)

Add the rows to a temporary storage (not to the index yet). The rows are sorted by the index columns. This is to more quickly build the index.

Parameters:
  `rows` - the rows
  `bufferName` - the name of the temporary storage

#### addBufferedRows

    void addBufferedRows(java.util.List<java.lang.String> bufferNames)

Add all the index data from the buffers to the index. The index will typically use merge sort to add the data more quickly in sorted order.

Parameters:
  `bufferNames` - the names of the temporary storage